Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.content.x509
Class XMLX509Certificate

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.keys.content.x509.XMLX509Certificate

All Implemented Interfaces:
  XMLX509DataContent

    public class XMLX509Certificate

extends SignatureElementProxy
implements XMLX509DataContent

Field Summary
`static java.lang.String` | `JCA_CERT_ID` Field JCA_CERT_ID

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`XMLX509Certificate(org.w3c.dom.Document doc, byte[] certificateBytes)` Constructor X509Certificate
`XMLX509Certificate(org.w3c.dom.Document doc, java.security.cert.X509Certificate x509certificate)` Constructor XMLX509Certificate
`XMLX509Certificate(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor X509Certificate

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`byte[]` | `getCertificateBytes()` Method getCertificateBytes
`java.security.PublicKey` | `getPublicKey()` Method getPublicKey
`java.security.cert.X509Certificate` | `getX509Certificate()` Method getX509Certificate
`int` | `hashCode()`

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JCA_CERT_ID

    public static final java.lang.String JCA_CERT_ID

  Field JCA_CERT_ID

  See Also:
    Constant Field Values

Constructor Detail

### XMLX509Certificate

    public XMLX509Certificate(org.w3c.dom.Element element,
                              java.lang.String BaseURI)
                       throws XMLSecurityException

  Constructor X509Certificate

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

### XMLX509Certificate

    public XMLX509Certificate(org.w3c.dom.Document doc,
                              byte[] certificateBytes)

  Constructor X509Certificate

  Parameters:
    `doc` -
    `certificateBytes` -

### XMLX509Certificate

    public XMLX509Certificate(org.w3c.dom.Document doc,
                              java.security.cert.X509Certificate x509certificate)
                       throws XMLSecurityException

  Constructor XMLX509Certificate

  Parameters:
    `doc` -
    `x509certificate` -
  Throws:
    `XMLSecurityException`

Method Detail

### getCertificateBytes

    public byte[] getCertificateBytes()
                               throws XMLSecurityException

  Method getCertificateBytes

  Returns:
    the certificate bytes
  Throws:
    `XMLSecurityException`

### getX509Certificate

    public java.security.cert.X509Certificate getX509Certificate()
                                                          throws XMLSecurityException

  Method getX509Certificate

  Returns:
    the x509 certificate
  Throws:
    `XMLSecurityException`

### getPublicKey

    public java.security.PublicKey getPublicKey()
                                         throws XMLSecurityException

  Method getPublicKey

  Returns:
    the publickey
  Throws:
    `XMLSecurityException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD